OGRE-Next: Ogre::MaterialSerializer::Listener Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::MaterialSerializer::Listener Class Reference

Class that allows listening in on the various stages of material serialization process. More...

`#include <OgreMaterialSerializer.h>`

## Public Member Functions
virtual | ~Listener ()
void | gpuProgramRefEventRaised (MaterialSerializer *ser, SerializeEvent event, bool &skip, const String &attrib, const GpuProgramPtr &program, const GpuProgramParametersSharedPtr &params, GpuProgramParameters *defaultParams)
| Called when GPU program reference section event raised.
virtual void | materialEventRaised (MaterialSerializer *ser, SerializeEvent event, bool &skip, const Material *mat)
| Called when material section event raised.
virtual void | passEventRaised (MaterialSerializer *ser, SerializeEvent event, bool &skip, const Pass *pass)
| Called when pass section event raised.
virtual void | techniqueEventRaised (MaterialSerializer *ser, SerializeEvent event, bool &skip, const Technique *tech)
| Called when technique section event raised.
virtual void | textureUnitStateEventRaised (MaterialSerializer *ser, SerializeEvent event, bool &skip, const TextureUnitState *textureUnit)
| Called when texture unit state section event raised.

## Detailed Description

Class that allows listening in on the various stages of material serialization process.

Sub-classing it enable extending the attribute set of any part in the material.

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual Ogre::MaterialSerializer::Listener::~Listener | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ gpuProgramRefEventRaised()

void Ogre::MaterialSerializer::Listener::gpuProgramRefEventRaised | ( | MaterialSerializer * | ser,
|  | SerializeEvent | event,
|  | bool & | skip,
|  | const String & | attrib,
|  | const GpuProgramPtr & | program,
|  | const GpuProgramParametersSharedPtr & | params,
|  | GpuProgramParameters * | defaultParams )
| inline

Called when GPU program reference section event raised.

Parameters

  ser | The MaterialSerializer instance that writes the given material.
  event | The current section writing stage.
  skip | May set to true by sub-class instances in order to skip the following section write. This parameter relevant only when stage equals MSE_PRE_WRITE.
  attrib | The GPU program reference description (vertex_program_ref, fragment_program_ref, etc).
  program | The program being written.
  params | The program parameters.
  defaultParams | The default program parameters.

References Ogre::MaterialSerializer::MaterialSerializer().

## ◆ materialEventRaised()

virtual void Ogre::MaterialSerializer::Listener::materialEventRaised | ( | MaterialSerializer * | ser,
|  | SerializeEvent | event,
|  | bool & | skip,
|  | const Material * | mat )
| inlinevirtual

Called when material section event raised.

Parameters

  ser | The MaterialSerializer instance that writes the given material.
  event | The current section writing stage.
  skip | May set to true by sub-class instances in order to skip the following section write. This parameter relevant only when stage equals MSE_PRE_WRITE.
  mat | The material that is being written.

References Ogre::MaterialSerializer::MaterialSerializer().

## ◆ passEventRaised()

virtual void Ogre::MaterialSerializer::Listener::passEventRaised | ( | MaterialSerializer * | ser,
|  | SerializeEvent | event,
|  | bool & | skip,
|  | const Pass * | pass )
| inlinevirtual

Called when pass section event raised.

Parameters

  ser | The MaterialSerializer instance that writes the given material.
  event | The current section writing stage.
  skip | May set to true by sub-class instances in order to skip the following section write. This parameter relevant only when stage equals MSE_PRE_WRITE.
  pass | The pass that is being written.

References Ogre::MaterialSerializer::MaterialSerializer().

## ◆ techniqueEventRaised()

virtual void Ogre::MaterialSerializer::Listener::techniqueEventRaised | ( | MaterialSerializer * | ser,
|  | SerializeEvent | event,
|  | bool & | skip,
|  | const Technique * | tech )
| inlinevirtual

Called when technique section event raised.

Parameters

  ser | The MaterialSerializer instance that writes the given material.
  event | The current section writing stage.
  skip | May set to true by sub-class instances in order to skip the following section write. This parameter relevant only when stage equals MSE_PRE_WRITE.
  tech | The technique that is being written.

References Ogre::MaterialSerializer::MaterialSerializer().

## ◆ textureUnitStateEventRaised()

virtual void Ogre::MaterialSerializer::Listener::textureUnitStateEventRaised | ( | MaterialSerializer * | ser,
|  | SerializeEvent | event,
|  | bool & | skip,
|  | const TextureUnitState * | textureUnit )
| inlinevirtual

Called when texture unit state section event raised.

Parameters

  ser | The MaterialSerializer instance that writes the given material.
  event | The current section writing stage.
  skip | May set to true by sub-class instances in order to skip the following section write. This parameter relevant only when stage equals MSE_PRE_WRITE.
  textureUnit | The texture unit state that is being written.

References Ogre::MaterialSerializer::MaterialSerializer().

The documentation for this class was generated from the following file:

- OgreMaterialSerializer.h